

Carrier = __import__("ftb.Carrier")
class Reaver(Carrier.Carrier):
    def __init__(self, pShip):
        Carrier.Carrier.__init__(self, pShip)
        LauncherGroup = __import__("ftb.LauncherGroup")
        group = LauncherGroup.LauncherGroup()

        LauncherManager = __import__("ftb.LauncherManager")

	launcher1 = LauncherManager.GetLauncher("Shuttle Bay 1", pShip)
	group.AddLauncher("Shuttle Bay 1", launcher1)

	launcher1.AddLaunchable("Type1", "ftb.friendlyAI", 4)
        launcher1.AddLaunchable("Davinci", "ftb.friendlyAI", 4)

	self.AddLauncher("Group 1", group)

 # Define how much Shuttles we can carry maximal (Return Shuttles script)
    def GetMaxShuttles(self):
    	return 10
    # Don't use the following Tractors to Dock:
    def IgnoreTractors(self):    	
    	return ["Aft Tractor", "Forward Tractor"]

ShipManager = __import__("ftb.ShipManager")
ShipManager.RegisterShipClass("Reaver", Reaver)